List:General Discussion« Previous MessageNext Message »
From:Michael Widenius Date:March 24 1999 6:20pm
Subject:Problems while pre-compilation configureing
View as plain text  
>>>>> "Robert" == Robert Wirth <wirth@stripped>
> writes:

Robert> Hello!
Robert> This affects mysql version with root directory name 'mysql-3.22.15-gamma'.
Robert> While executing 

Robert> ./configure --prefix=/opt/MySQL --enable-shared --disable-static

Robert> on AND for a Solaris 2.5 (Sparc) system with gcc 2.8.1 and c++ 2.8.1.1, both
Robert> known as working well, the following error occurs, and the program exits:

Robert> ...
Robert> checking Solaris threads... yes
Robert> checking named thread libs:... -lpthread -lthread
Robert> checking for strtok_r in -lpthread... yes
Robert> checking for strtok_r... yes
Robert> checking for dlopen in -ldl... yes
Robert> checking for restartable system calls... configure: error: can not run test 
Robert> program while cross compiling

Robert> The compilers seem to be identified well:

Robert> ...
Robert> checking for gcc... gcc
Robert> checking whether the C compiler (gcc   ) works... yes
Robert> checking whether the C compiler (gcc   ) is a cross-compiler... no
Robert> checking whether we are using GNU C... yes
Robert> checking whether gcc accepts -g... yes
Robert> checking for c++... c++
Robert> checking whether the C++ compiler (c++   ) works... yes
Robert> checking whether the C++ compiler (c++   ) is a cross-compiler... yes
Robert> checking whether we are using GNU C++... yes
Robert> checking whether c++ accepts -g... yes
Robert> checking how to run the C preprocessor... gcc -E
Robert> ...

Robert> On the same system, a lot of software (X11, Perl, Python, emacs etc.) was yet
Robert> built without any problem...

Robert> Could you give me a hint?

Robert> Yours sincerely,

Hi!

Sorry, as you didn't use the mysqlbug script, I can't say why
configure things you are using a cross compiler!

Note that gcc 2.8.1 does NOT work reliable on sparc !  There are
optimizations bugs that affects programs that uses long long (64 bit)
integer arithmetic (as MySQL)!

Please upgrade to egcs 1.1.2 instead !

Regards,
Monty
Thread
Problems while pre-compilation configureingRobert Wirth24 Mar
  • Problems while pre-compilation configureingMichael Widenius24 Mar
  • Re: Question on detailed loggingsasha13 Nov
  • Re: Question on detailed loggingSonam Chauhan14 Nov
  • Re: Question on detailed loggingsasha14 Nov
  • Re: Question on detailed loggingSonam Chauhan14 Nov
  • Re: Question on detailed loggingSonam Chauhan16 Nov